searchNodes=[{"ref":"Nanoid.html","title":"Nanoid","type":"module","doc":"Elixir port of NanoID (https://github.com/ai/nanoid), a tiny, secure URL-friendly unique string ID generator. Safe. It uses cryptographically strong random APIs and guarantees a proper distribution of symbols. Small. Only 179 bytes (minified and gzipped). No dependencies. It uses Size Limit to control size. Compact. It uses a larger alphabet than UUID (A-Za-z0-9_~) and has a similar number of unique IDs in just 21 symbols instead of 36."},{"ref":"Nanoid.html#generate/0","title":"Nanoid.generate/0","type":"function","doc":"Generates a secure NanoID using the default alphabet. Example Generate a NanoID with the default size of 21 characters. iex&gt; Nanoid.generate() &quot;mJUHrGXZBZpNX50x2xkzf&quot;"},{"ref":"Nanoid.html#generate/1","title":"Nanoid.generate/1","type":"function","doc":"Generates a secure NanoID using the default alphabet. Example Generate a secure NanoID with a custom size of 64 characters. iex&gt; Nanoid.generate(64) &quot;wk9fsUrhK9k-MxY0hLazRKpcSlic8XYDFusks7Jb8FwCVnoQaKFSPsmmLHzP7qCX&quot;"},{"ref":"Nanoid.html#generate/2","title":"Nanoid.generate/2","type":"function","doc":"Generates a secure NanoID using a custom size and an individual alphabet. Example Generate a secure NanoID with the default size of 21 characters and an individual alphabet. iex&gt; Nanoid.generate(21, &quot;abcdef123&quot;) &quot;d1dcd2dee333cae1bfdea&quot; Generate a secure NanoID with custom size of 64 characters and an individual alphabet. iex&gt; Nanoid.generate(64, &quot;abcdef123&quot;) &quot;aabbaca3c11accca213babed2bcd1213efb3e3fa1ad23ecbf11c2ffc123f3bbe&quot;"},{"ref":"Nanoid.html#generate_non_secure/0","title":"Nanoid.generate_non_secure/0","type":"function","doc":"Generates a non-secure NanoID using the default alphabet. Example Generate a non-secure NanoID with the default size of 21 characters. iex&gt; Nanoid.generate_non_secure() &quot;mJUHrGXZBZpNX50x2xkzf&quot;"},{"ref":"Nanoid.html#generate_non_secure/1","title":"Nanoid.generate_non_secure/1","type":"function","doc":"Generates a non-secure NanoID using the default alphabet. Example Generate a non-secure NanoID with a custom size of 64 characters. iex&gt; Nanoid.generate_non_secure(64) &quot;wk9fsUrhK9k-MxY0hLazRKpcSlic8XYDFusks7Jb8FwCVnoQaKFSPsmmLHzP7qCX&quot;"},{"ref":"Nanoid.html#generate_non_secure/2","title":"Nanoid.generate_non_secure/2","type":"function","doc":"Generate a non-secure NanoID using a custom size and an individual alphabet. Example Generate a non-secure NanoID with the default size of 21 characters and an individual alphabet. iex&gt; Nanoid.generate_non_secure(21, &quot;abcdef123&quot;) &quot;d1dcd2dee333cae1bfdea&quot; Generate a non-secure NanoID with custom size of 64 characters and an individual alphabet. iex&gt; Nanoid.generate_non_secure(64, &quot;abcdef123&quot;) &quot;aabbaca3c11accca213babed2bcd1213efb3e3fa1ad23ecbf11c2ffc123f3bbe&quot;"},{"ref":"Nanoid.NonSecure.html","title":"Nanoid.NonSecure","type":"module","doc":"Generate an URL-friendly unique ID. This method use the non-secure, predictable random generator. By default, the ID will have 21 symbols with a collision probability similar to UUID v4."},{"ref":"Nanoid.NonSecure.html#generate/1","title":"Nanoid.NonSecure.generate/1","type":"function","doc":"Generates a non-secure NanoID using the default alphabet. Example Generate a non-secure NanoID with the default size of 21 characters. iex&gt; Nanoid.NonSecure.generate() &quot;mJUHrGXZBZpNX50x2xkzf&quot; Generate a non-secure NanoID with a custom size of 64 characters. iex&gt; Nanoid.NonSecure.generate(64) &quot;wk9fsUrhK9k-MxY0hLazRKpcSlic8XYDFusks7Jb8FwCVnoQaKFSPsmmLHzP7qCX&quot;"},{"ref":"Nanoid.NonSecure.html#generate/2","title":"Nanoid.NonSecure.generate/2","type":"function","doc":"Generate a non-secure NanoID using a custom size and an individual alphabet. Example Generate a non-secure NanoID with the default size of 21 characters and an individual alphabet. iex&gt; Nanoid.NonSecure.generate(21, &quot;abcdef123&quot;) &quot;d1dcd2dee333cae1bfdea&quot; Generate a non-secure NanoID with custom size of 64 characters and an individual alphabet. iex&gt; Nanoid.NonSecure.generate(64, &quot;abcdef123&quot;) &quot;aabbaca3c11accca213babed2bcd1213efb3e3fa1ad23ecbf11c2ffc123f3bbe&quot;"},{"ref":"Nanoid.Secure.html","title":"Nanoid.Secure","type":"module","doc":"Generate a secure URL-friendly unique ID. This method uses the secure and non predictable random generator. By default, the ID will have 21 symbols with a collision probability similar to UUID v4."},{"ref":"Nanoid.Secure.html#generate/1","title":"Nanoid.Secure.generate/1","type":"function","doc":"Generates a secure NanoID using the default alphabet. Example Generate a NanoID with the default size of 21 characters. iex&gt; Nanoid.Secure.generate() &quot;mJUHrGXZBZpNX50x2xkzf&quot; Generate a secure NanoID with a custom size of 64 characters. iex&gt; Nanoid.Secure.generate(64) &quot;wk9fsUrhK9k-MxY0hLazRKpcSlic8XYDFusks7Jb8FwCVnoQaKFSPsmmLHzP7qCX&quot;"},{"ref":"Nanoid.Secure.html#generate/2","title":"Nanoid.Secure.generate/2","type":"function","doc":"Generates a secure NanoID using a custom size and an individual alphabet. Example Generate a secure NanoID with the default size of 21 characters and an individual alphabet. iex&gt; Nanoid.Secure.generate(21, &quot;abcdef123&quot;) &quot;d1dcd2dee333cae1bfdea&quot; Generate a secure NanoID with custom size of 64 characters and an individual alphabet. iex&gt; Nanoid.Secure.generate(64, &quot;abcdef123&quot;) &quot;aabbaca3c11accca213babed2bcd1213efb3e3fa1ad23ecbf11c2ffc123f3bbe&quot;"}]